# This shell script is run before Openbox launces.
# Environment variables set here are passed to the Openbox session.

# Programs to launch at startup
# =============================

# Put the background image using ImageMagick
RES=$(xdpyinfo | sed -n 's/^[ \t]*dimensions:[ \t]*\(.*\)[ \t]*pixels\(.*\)$/\1/p')
STILLWALL=$(ls ~/.config/openbox/*.{jpg,JPG,jpeg,JPEG,png,PNG,bmp,BMP} 2>/dev/null)
display -dispose Background -window root -resize "$RES"\! $STILLWALL

# Launch fbpanel
(sleep 2 && fbpanel -p topbar) &
(sleep 3 && fbpanel -p botbar) &

# Enable power management
test -d /proc/acpi/battery/ && batti &

# Start volume control system tray applet
volumeicon &

# Start the volume manager to automount external volumes
(sleep 4 && thunar --daemon) &

# Start screensaver deamon
(sleep 6 && xscreensaver -no-splash) &

# D-bus
if which dbus-launch >/dev/null && test -z "$DBUS_SESSION_BUS_ADDRESS"; then
       eval `dbus-launch --sh-syntax --exit-with-session`
fi

# Make GTK apps look and behave how they were set up in the gnome config tools
if test -x /usr/libexec/gnome-settings-daemon >/dev/null; then
  /usr/libexec/gnome-settings-daemon &
elif which gnome-settings-daemon >/dev/null; then
  gnome-settings-daemon &
# Make GTK apps look and behave how they were set up in the XFCE config tools
elif which xfce-mcs-manager >/dev/null; then
  xfce-mcs-manager n &
fi

# Preload stuff for KDE apps
if which start_kdeinit >/dev/null; then
  LD_BIND_NOW=true start_kdeinit --new-startup +kcminit_startup &
fi

# Run XDG autostart things.  By default don't run anything desktop-specific
# See xdg-autostart --help more info
DESKTOP_ENV="OPENBOX"
if which /usr/lib/openbox/xdg-autostart >/dev/null; then
  /usr/lib/openbox/xdg-autostart $DESKTOP_ENV
fi


