#!/bin/bash
# Packager : Markus Muttilainen <stillborn.zenwalk@gmail.com>
# 12.04.2012
(
set -e -x -u

softversion='3.4.11.2'
newpkgversion='70.3'
softname='openbox-desktop'

arch='noarch'
cpu='i686'

CWD=$(pwd)

newdir="$softname-$softversion-$arch-$newpkgversion"
PKG="/tmp/$newdir"

cd $CWD
rm -rf $PKG
rm -f $PKG.txz

# Copy the /etc/skel and other desktop related config files tree
# /etc/X11/xdg/xfce4/desktop ; /etc/X11/xdg/xfce4/panel ; 
# Thunar custom commands /etc/X11/xdg/Thunar/uca.xml
#tar -xvf $CWD/$softname.tar.gz 
cp -R $CWD/$softname $PKG
cp -rf $PKG/etc/skel $PKG/root
cp -v $PKG/usr/share/wallpapers/rootfish.jpg $PKG/root/.config/openbox/stillwall.jpg
#sed -i "s#\(display[ \t]*-disp.*\\!\)[ \t]*\(.*\)#\1\ /usr/share/wallpapers/rootfish.jpg#" $PKG/root/.config/openbox/autostart.sh

# Create gconf.xml.zenwalk
mkdir -p $PKG/etc/gconf/gconf.xml.zenwalk
mkdir -p $PKG/etc/gconf/2

# Add gconf.xml.zenwalk to gconf path tree
cat > $PKG/etc/gconf/2/local-defaults.path << "END"
# System-wide Defaults for Zenwalk
xml:readonly:/etc/gconf/gconf.xml.zenwalk
END

# Set gconf-setting defaults specific to Zenwalk
# ----------------------------------------------------------
# URL-Handlers
for a in ftp https http; do
    gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --type bool \
        --set /desktop/gnome/url-handlers/$a/need-terminal false
    gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --type bool \
        --set /desktop/gnome/url-handlers/$a/enabled true
    gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --type string \
        --set /desktop/gnome/url-handlers/$a/command "firefox %s"
done
for a in mailto; do
    gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --type bool \
        --set /desktop/gnome/url-handlers/$a/need-terminal false
    gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --type bool \
        --set /desktop/gnome/url-handlers/$a/enabled true
    gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --type string \
        --set /desktop/gnome/url-handlers/$a/command "thunderbird %s"
done
for a in trash file ; do
    gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --type bool \
        --set /desktop/gnome/url-handlers/$a/need-terminal false
    gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --type bool \
        --set /desktop/gnome/url-handlers/$a/enabled true
    gconftool-2 --direct --config-source "xml::$PKG/etc/gconf/gconf.xml.zenwalk" --type string \
        --set /desktop/gnome/url-handlers/$a/command "thunar %s"
done

# slack-desc
mkdir -p $PKG/install
cat > $PKG/install/slack-desc << END
openbox-desktop: openbox-desktop - Desktop layout and artwork for openbox.
openbox-desktop:
openbox-desktop: Openbox is a highly configurable, next generation
openbox-desktop: window manager with extensive standards support.
openbox-desktop: For more information, see:  http://www.openbox.org
openbox-desktop:
openbox-desktop:
openbox-desktop:
openbox-desktop:
openbox-desktop:
openbox-desktop:
END

mkdir -p $PKG/usr/src/$softname-$softversion
cp $CWD/build-$softname.sh $PKG/usr/src/$softname-$softversion/

chown -R root:root $PKG

#> helperline
(cd $PKG;find . -printf "%y %m %u:%g %p %l\n") >$CWD/pkgtree.log

cd $PKG
makepkg -l y -c n $PKG.txz
mv $PKG.txz $CWD

) 2>&1 | tee openbox-build-log.txt



